﻿package
{
	import flash.display.MovieClip;
	import se.svt.caspar.ICommunicationManager;
	import se.svt.caspar.IRegisteredDataSharer;
	import se.svt.caspar.template.CasparTemplate;
      
	public class TeamStatistics extends CasparTemplate
	{
		private const customParameterDescription:XML = 	
		<parameters>
	   		<parameter id="Team1Image" type="string" info="File URL for Flag Home" />
	   		<parameter id="Team2Image" type="string" info="File URL for Flag Guest" />
		</parameters>;
		
		override public function SetData(xmlData:XML):void 
		{			
		   for each (var element:XML in xmlData.children())
		   {
			  if (element.@id == "Team1Image") 		
			  {
				  Image1.source = element.data.@value.toString();
			  }
			  if (element.@id == "Team2Image") 		
			  {
				  Image2.source = element.data.@value.toString();
			  }
		   }
		   super.SetData(xmlData);		
		}
	}
}